Bug 477654 - molecule (screensaver) triggers a NULL dereference in mesa library with ATI Mobility T2
molecule (screensaver) triggers a NULL dereference in mesa library with ATI M...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 13:09 EST by DarylGrunau
Modified: 2009-12-18 02:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:22:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DarylGrunau 2008-12-22 13:09:50 EST
Description of problem:

Whenever I attempt to run the molecule screensaver with X server running on my Thinkpad T42p, the app segfaults due to NULL dereference in the mesa/dri library as seen in the backtrace below.

Version-Release number of selected component (if applicable):

mesa-debuginfo-7.2-0.15.fc10.i386
mesa-dri-drivers-7.2-0.15.fc10.i386
mesa-libGL-7.2-0.15.fc10.i386
mesa-libGL-devel-7.2-0.15.fc10.i386
mesa-libGLU-7.2-0.15.fc10.i386
mesa-libGLU-devel-7.2-0.15.fc10.i386
xscreensaver-base-5.07-4.fc10.i386
xscreensaver-debuginfo-5.07-4.fc10.i386
xscreensaver-extras-5.07-4.fc10.i386
xscreensaver-extras-gss-5.07-4.fc10.i386
xscreensaver-gl-base-5.07-4.fc10.i386
xscreensaver-gl-extras-5.07-4.fc10.i386
xscreensaver-gl-extras-gss-5.07-4.fc10.i386

How reproducible:

Always

Steps to Reproduce:
1. startx
2. /usr/libexec/xscreensaver/molecule
3.
  
Actual results:

$ /usr/libexec/xcreensaver/molecule
Segmentation fault (core dumped)

Expected results:

molecule screensaver running

Additional info:

I can provide the core dump if requested.  The backtrace is as follows:

> gdb /usr/libexec/xscreensaver/molecule core.4416
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...

warning: Can't read pathname for load map: Input/output error.
Missing separate debuginfo for /lib/ld-linux.so.2
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/dd/20f6d9e33d2e3139f881abe5edc2b7481127ed

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)
Reading symbols from /usr/lib/libGL.so.1.2...Reading symbols from /usr/lib/debug/usr/lib/libGL.so.1.2.debug...done.
done.
Loaded symbols for /usr/lib/libGL.so.1.2
Reading symbols from /usr/lib/libxcb-xlib.so.0.0.0...Reading symbols from /usr/lib/debug/usr/lib/libxcb-xlib.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Reading symbols from /lib/ld-linux.so.2...Reading symbols from /usr/lib/debug/lib/ld-2.9.so.debug...done.
done.
Loaded symbols for /lib/ld-linux.so.2
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Reading symbols from /usr/lib/libxcb.so.1...Reading symbols from /usr/lib/debug/usr/lib/libxcb.so.1.0.0.debug...done.
micro> gdb /usr/libexec/xscreensaver/molecule core.4416
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...

warning: Can't read pathname for load map: Input/output error.
Missing separate debuginfo for /lib/ld-linux.so.2
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/dd/20f6d9e33d2e3139f881abe5edc2b7481127ed

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib/libxcb-xlib.so.0.0.0" is not at the expected address (wrong library or version mismatch?)
Reading symbols from /usr/lib/libGL.so.1.2...Reading symbols from /usr/lib/debug/usr/lib/libGL.so.1.2.debug...done.
done.
Loaded symbols for /usr/lib/libGL.so.1.2
Reading symbols from /usr/lib/libxcb-xlib.so.0.0.0...Reading symbols from /usr/lib/debug/usr/lib/libxcb-xlib.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Reading symbols from /lib/ld-linux.so.2...Reading symbols from /usr/lib/debug/lib/ld-2.9.so.debug...done.
done.
Loaded symbols for /lib/ld-linux.so.2
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Reading symbols from /usr/lib/libxcb.so.1...Reading symbols from /usr/lib/debug/usr/lib/libxcb.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libxcb.so.1
Reading symbols from /usr/lib/libXau.so.6...Reading symbols from /usr/lib/debug/usr/lib/libXau.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXau.so.6
Reading symbols from /usr/lib/libXdmcp.so.6...Reading symbols from /usr/lib/debug/usr/lib/libXdmcp.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXdmcp.so.6
Reading symbols from /usr/lib/dri/r300_dri.so...Reading symbols from /usr/lib/debug/usr/lib/dri/r300_dri.so.debug...done.
done.
Loaded symbols for /usr/lib/dri/r300_dri.so
Reading symbols from /usr/lib/dri/libdricore.so...Reading symbols from /usr/lib/debug/usr/lib/dri/libdricore.so.debug...done.
done.
Loaded symbols for /usr/lib/dri/libdricore.so
Reading symbols from /lib/libselinux.so.1...Reading symbols from /usr/lib/debug/lib/libselinux.so.1.debug...done.
done.
Loaded symbols for /lib/libselinux.so.1
Reading symbols from /lib/libexpat.so.1...Reading symbols from /usr/lib/debug/lib/libexpat.so.1.5.2.debug...done.
done.
Loaded symbols for /lib/libexpat.so.1
Reading symbols from /usr/lib/libXcursor.so.1...Reading symbols from /usr/lib/debug/usr/lib/libXcursor.so.1.0.2.debug...done.
done.
Loaded symbols for /usr/lib/libXcursor.so.1
Reading symbols from /usr/lib/libXrender.so.1...Reading symbols from /usr/lib/debug/usr/lib/libXrender.so.1.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libXrender.so.1
Core was generated by `/usr/libexec/xscreensaver/molecule'.
Program terminated with signal 11, Segmentation fault.
[New process 4416]
#0  0xb7a9a634 in radeonReadDepthPixels_z24_s8 (ctx=0x9a8c958, rb=0x9d520b0, 
    n=168, x=0xad95b010, y=0xad95f010, values=0xbfe8ee1c)
    at ../../../../../src/mesa/drivers/dri/common/depthtmp.h:234
234                          READ_DEPTH( depth[i], x[i], fy );
(gdb) where
#0  0xb7a9a634 in radeonReadDepthPixels_z24_s8 (ctx=0x9a8c958, rb=0x9d520b0, 
    n=168, x=0xad95b010, y=0xad95f010, values=0xbfe8ee1c)
    at ../../../../../src/mesa/drivers/dri/common/depthtmp.h:234
#1  0xb7996cf0 in _swrast_get_values (ctx=0x9a8c958, rb=0x9d520b0, count=168, 
    x=0xad95b010, y=0xad95f010, values=0xbfe8ee1c, valueSize=4)
    at swrast/s_span.c:1643
#2  0xb798d542 in depth_test_pixels (ctx=0x9a8c958, span=<value optimized out>)
    at swrast/s_depth.c:1089
#3  0xb7997d7f in _swrast_write_rgba_span (ctx=0x9a8c958, span=0xbfe96ef4)
    at swrast/s_span.c:1332
#4  0xb7985749 in _swrast_Bitmap (ctx=0x9a8c958, px=276, py=209, width=20, 
    height=25, unpack=0x9a985f8, bitmap=0x9d84410 "\001#)
    at swrast/s_bitmap.c:127
#5  0xb78dbca6 in _mesa_Bitmap (width=20, height=25, xorig=-2, yorig=-1, 
    xmove=24, ymove=0, bitmap=0x9d84410 "\001#) at main/drawpix.c:241
#6  0xb78d92f6 in execute_list (ctx=0x9a8c958, list=<value optimized out>)
    at main/dlist.c:5786
#7  0xb78db654 in _mesa_CallList (list=68) at main/dlist.c:6852
#8  0x0804bfad in draw_labels () at ../../../hacks/glx/molecule.c:1405
#9  draw_molecule (mi=0x9a84a50) at ../../../hacks/glx/molecule.c:1593
#10 0x08050dcd in xlockmore_draw (dpy=0x9a73788, window=27262977, 
    closure=0x9a84a50) at ../../../hacks/xlockmore.c:498
#11 0x0804fa29 in run_screenhack_table () at ../../hacks/screenhack.c:550
#12 main (argc=Cannot access memory at address 0x0
) at ../../hacks/screenhack.c:912
Comment 1 Bug Zapper 2009-11-18 05:32:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:22:16 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.